Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Can't disable jupyterlab extension #7058

Closed
daejong123 opened this issue Aug 21, 2019 · 8 comments · Fixed by #7061
Closed

Can't disable jupyterlab extension #7058

daejong123 opened this issue Aug 21, 2019 · 8 comments · Fixed by #7061

Comments

@daejong123
Copy link

@daejong123 daejong123 commented Aug 21, 2019

I met a problem, I try to use command:

jupyter labextension disable @jupyterlab/completer-extension
then I use jupyter labextension list

image

But, the @jupyterlab/completer-extension is still enable because codeCell can still complete.
And I try to use jupyter labextension disable @jupyterlab/filebrowser-extension
And the filebrowser is still here indeed.

the previous jupyterlab version there is no problem,

current jupyterlab==1.0.6

my jupyter env:

jupyter                           1.0.0
jupyter-client                    5.2.4
jupyter-console                   6.0.0
jupyter-contrib-core              0.3.3
jupyter-contrib-nbextensions      0.5.1
jupyter-core                      4.4.0
jupyter-highlight-selected-word   0.2.0
jupyter-latex-envs                1.4.6
jupyter-nbextensions-configurator 0.4.1
jupyterlab                        1.0.6
jupyterlab-code-formatter         0.3.0
jupyterlab-launcher               0.13.1
jupyterlab-mfe                    0.0.1
jupyterlab-server                 1.0.0
@daejong123
Copy link
Author

@daejong123 daejong123 commented Aug 21, 2019

I seem to find the problem:
jupyterlab==1.0.5 is ok
But jupyterlab == 1.0.6 labextension can't disable extension.

@blink1073
Copy link
Member

@blink1073 blink1073 commented Aug 21, 2019

Hi @daejong123, doespip install --upgrade jinja2 fix the issue?

@daejong123
Copy link
Author

@daejong123 daejong123 commented Aug 21, 2019

Thank you for your reply!
But jinja2 Is already up to latest in my computer, so this can't fix my problem.

Jinja2                            2.10.1

image

I just rollback jupyterlab to v1.0.5, it's ok, and wait for next jupyterlab version release.

@blink1073
Copy link
Member

@blink1073 blink1073 commented Aug 21, 2019

I can confirm the behavior, but I don't understand it.

In 1.0.5, we have:

disabledExtensions: "['@jupyterlab/filebrowser-extension', '@jupyterlab/terminal-extension']"

in 1.0.6 we have:

disabledExtensions: Array [ "@jupyterlab/filebrowser-extension", "@jupyterlab/terminal-extension" ]

@jasongrout, any ideas why this would cause an issue?

@blink1073
Copy link
Member

@blink1073 blink1073 commented Aug 21, 2019

ooh, I know. We were expecting all of the values to be strings, this is breaking that contract.

@blink1073
Copy link
Member

@blink1073 blink1073 commented Aug 21, 2019

We'll have to look at this deeper today.

@blink1073
Copy link
Member

@blink1073 blink1073 commented Aug 21, 2019

Found it! #7061

@blink1073
Copy link
Member

@blink1073 blink1073 commented Aug 21, 2019

Thanks for the report, @daejong123!

@jasongrout jasongrout removed this from the 1.0.x milestone Aug 28, 2019
@jasongrout jasongrout added this to the 1.1 milestone Aug 28, 2019
@lock lock bot locked as resolved and limited conversation to collaborators Sep 27, 2019
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

3 participants